## Concatenate and Print

## Usage

    cat(... , file = "", sep = " ", fill = FALSE, labels = NULL,
        append = FALSE)

## Arguments

`...` | objects that can be coerced into vectors.
`file` | character string naming the file to print to. If `""`, `cat` prints to the standard output.
`sep` | character string to insert between the objects to print.
`fill` | a logical or numeric controlling how the output is broken into successive lines. If `FALSE`, only newlines created explicitly by `\n` are printed. Otherwise, the output is broken into lines with print width equal to the option `width` if `fill` is `TRUE`, or the value of `fill` if this is numeric.
`labels` | character vector of labels for the lines printed. Ignored if `fill` is `FALSE`.
`append` | if `TRUE`, output will be appended to `file`; otherwise, it will overwrite the contents of `file`.

## Value

`cat` converts its arguments to character strings, concatenates them, separating them by the given `sep=` string, and then prints them.

`cat` is useful for producing output in user defined functions.

## Examples

    ## print an informative message
    cat("iteration = ", iter <- iter + 1, "\n")

    ## print an informative message
    cat("iteration = ", iter <- iter + 1, "\n")

[Package Contents]